package main

import (
	"Sithego/themer"
	"Sithego/themer/adapters/gtk"
	"Sithego/themer/adapters/intellij"
	"Sithego/themer/adapters/qt"
	"Sithego/themer/adapters/starship"
)

func main() {
	theme, err := themer.LoadTheme("theme.conf")
	if err != nil {
		panic(err)
	}

	if err := gtk.New(gtk.WithOutputDir("../dotfiles/.themes/")).Generate(theme); err != nil {
		panic(err)
	}

	if err := qt.New(qt.WithOutputDir("../dotfiles/.config/")).Generate(theme); err != nil {
		panic(err)
	}

	if err := intellij.New(intellij.WithOutputDir("../dotfiles/.themes/")).Generate(theme); err != nil {
		panic(err)
	}

	if err := starship.New(starship.WithOutputDir("../dotfiles/.config/")).Generate(theme); err != nil {
		panic(err)
	}

}
